<?php
/**
 * Plugin Name: Fast Events
 * Plugin URI: https://fast-events.eu/
 * Description: Sell personalized e-tickets with PayPal, Stripe, or Mollie, including free Scan App, Tracking App, and Admin App.
 * Version: 3.0.0
 * Requires at least: 6.4
 * Requires PHP: 8.1
 * Author: FE Data
 * Author URI: https://fast-events.eu
 * License: GPLv3 or later
 * License URI: https://www.gnu.org/licenses/gpl-3.0.txt
 * Text Domain: fast-events
 * Domain Path: /i18n
 *
 * @package FastEvents
 */

declare(strict_types=1);

defined( 'ABSPATH' ) || exit;

if ( ! defined( 'FAST_EVENTS_PLUGIN_FILE' ) ) {
	define( 'FAST_EVENTS_PLUGIN_FILE', __FILE__ );
}

require_once __DIR__ . '/vendor/autoload.php';
require_once __DIR__ . '/src/Container/CompiledContainer.php';

$GLOBALS['fevt_container'] = new CompiledContainer();
$fevt_container            =& $GLOBALS['fevt_container'];

if ( ! class_exists( 'FastEvents', false ) ) {
	include_once dirname( FAST_EVENTS_PLUGIN_FILE ) . '/includes/class-fast-events.php';
}

/**
 * Returns the main instance of the plugin class.
 *
 * @since 1.0
 *
 * @return FastEvents
 */
function fast_events_func(): FastEvents {
	return FastEvents::instance();
}

$GLOBALS['fast_events'] = fast_events_func();
